### Constructor

# Cogl OnscreenTemplate new

#### Declaration [src]

    CoglOnscreenTemplate*
    cogl_onscreen_template_new (
      CoglSwapChain* swap_chain
    )

#### Description

No description available.

#### Parameters

`swap_chain`

  Type: `CoglSwapChain`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `CoglOnscreenTemplate`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.